package jwsunleashed.trading.ejb;

import java.rmi.*;
import javax.ejb.*;
import java.util.Date;

public interface BuyOrder extends EJBObject
{
    public int getBuyerID() throws RemoteException;
    public void setBuyerID(int aBuyerID) throws RemoteException;

    public String getStock() throws RemoteException;
    public void setStock(String aStock) throws RemoteException;

    public int getShares() throws RemoteException;
    public void setShares(int numShares) throws RemoteException;

    public int getPrice() throws RemoteException;
    public void setPrice(int thePrice) throws RemoteException;

    public Date getBuyTime() throws RemoteException;
    public void setBuyTime(Date aBuyTime) throws RemoteException;
}
